# -*- coding: utf-8 -*-

import turtle as tt


def segment(lg, n):
    if n == 0:
        tt.forward(lg)
    else:
        segment(lg/3., n-1)
        tt.left(60)
        segment(lg/3., n-1)
        tt.right(120)
        segment(lg/3., n-1)
        tt.left(60)
        segment(lg/3., n-1)


def creAnimation(nbiter):
    tt.speed(0)
    tt.listen()

    for i in range(nbiter):
        tt.reset()
        segment(300., i)
        image = tt.getscreen()
        image.getcanvas().postscript(file="img{:0=3}.eps".format(i))

    tt.exitonclick()


if __name__ == "__main__":
    creAnimation(4)
